aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/T070-insert.sh
diff options
context:
space:
mode:
authorGravatar David Bremner <david@tethera.net>2014-10-03 23:18:57 +0200
committerGravatar David Bremner <david@tethera.net>2014-10-18 07:51:18 +0200
commita6cee01b4e537e22b008f838d4af4e9d2f012f22 (patch)
tree0fb01fa2d5f901f793071d3a036cbb847650df60 /test/T070-insert.sh
parent7487e2e2214b27407e542df164a4d23520bbd8d8 (diff)
test/insert: add known broken tests for indexing failures
These tests are written with the assumption that we want all indexing failures to be considered as failures by notmuch insert.
Diffstat (limited to 'test/T070-insert.sh')
-rwxr-xr-xtest/T070-insert.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/T070-insert.sh b/test/T070-insert.sh
index ea9db07e..40a7636a 100755
--- a/test/T070-insert.sh
+++ b/test/T070-insert.sh
@@ -183,4 +183,26 @@ test_expect_code 1 "Invalid tags set exit code" \
notmuch config set new.tags $OLDCONFIG
+# DUPLICATE_MESSAGE_ID is not tested here, because it should actually pass.
+
+for code in OUT_OF_MEMORY XAPIAN_EXCEPTION FILE_NOT_EMAIL \
+ READ_ONLY_DATABASE UPGRADE_REQUIRED; do
+gen_insert_msg
+cat <<EOF > index-file-$code.gdb
+file notmuch
+set breakpoint pending on
+break notmuch_database_add_message
+commands
+return NOTMUCH_STATUS_$code
+continue
+end
+run
+EOF
+test_begin_subtest "error exit when add_message returns $code"
+test_subtest_known_broken
+gdb --batch-silent --return-child-result -x index-file-$code.gdb \
+ --args notmuch insert < $gen_msg_filename
+test_expect_equal $? 1
+done
+
test_done